<?php

define('PHPWG_ROOT_PATH','../../../');
define('IN_ADMIN', true);
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
include_once(AUTOUPDATE_PATH.'include/autoupdate.class.php');
$autoupdate = new autoupdate();

check_status(ACCESS_ADMINISTRATOR);

// Check if gallery or plugins are up to date
load_language('plugin.lang', dirname(dirname(__FILE__)).'/');
header('Content-Type: text/html; charset=UTF-8');

function autoupdate_error()
{
  unset($_SESSION['extensions_need_update']);
  echo 'error';
  exit;
}

if (!isset($_SESSION['need_update']))
{
  $autoupdate->check_piwigo_upgrade();
}

if ($_SESSION['need_update'])
{
  echo 'piwigo_upgrade'; exit();
}
else
{
  // Gallery is up to date -> check extensions
  if (!isset($_SESSION['extensions_need_update']))
  {
    $autoupdate->check_extensions();
  }
  else
  {
    $autoupdate->check_updated_extensions();
  }
}

if (!empty($_SESSION['extensions_need_update']))
{
  echo 'ext_upgrade'; exit;
}
elseif ($_SESSION['need_update'] === false and $_SESSION['extensions_need_update'] === array())
{
  echo 'up_to_date'; exit;
}
else
{
  autoupdate_error();
}

?>